#pragma once

#ifdef QT_VERSION
	#include <QtCore/QtGlobal>
#endif

#include<BaseTsd.h>
#ifndef _BASETSD_H_
	typedef signed char         INT8, *PINT8;
	typedef signed short        INT16, *PINT16;
	typedef signed int          INT32, *PINT32;
	typedef signed __int64      INT64, *PINT64;
	typedef unsigned char       UINT8, *PUINT8;
	typedef unsigned short      UINT16, *PUINT16;
	typedef unsigned int        UINT32, *PUINT32;
	typedef unsigned __int64    UINT64, *PUINT64;
#endif

#define CS_CANv2_ActiveMode 0x11
#define CS_CANv2_SetupMode	0x10
#define uCAN_VCOM			0x21
#define eCAN_VCOM			0x31
#define NotConnect			0x00
#define NotFind				0xFF


/*************************************
		Serial Info Struct 
**************************************/
typedef struct{
	UINT32 Baudrate;
	UINT8 data;
	UINT8 parity;
	UINT8 stop;
	UINT8 flow;
}SerialConfigInfo;

enum DataBits {
    Data8 = 8,
};

enum Parity {
    NoParity = 0,
    EvenParity = 2,
    OddParity = 3,
    SpaceParity = 4,
    MarkParity = 5
};

enum StopBits {
    OneStop = 1,
    TwoStop = 2
};

enum FlowControl {
    NoFlowControl,
    HardwareControl
};

enum SerialBaudRate {
	SerialBaud300 = 300,
	SerialBaud600 = 600,
    SerialBaud1200 = 1200,
    SerialBaud2400 = 2400,
	SerialBaud3600 = 3600,
	SerialBaud4800 = 4800,
	SerialBaud7200 = 7200,
    SerialBaud9600 = 9600,
    SerialBaud19200 = 19200,
    SerialBaud38400 = 38400,
    SerialBaud57600 = 57600,
    SerialBaud115200 = 115200,
	SerialBaud230400 = 230400,
	SerialBaud460800 = 460800,
	SerialBaud921600 = 921600,
    SerialUnknownBaud = -1
};


enum CANBaudRate {
	CANBaud20 = 20,
	CANBaud50 = 50,
	CANBaud100 = 100,
	CANBaud125 = 125,
	CANBaud200 = 200,
	CANBaud250 = 250,
	CANBaud300 = 300,
	CANBaud500 = 500,
	CANBaud800 = 800,
	CANBaud1000 = 1000,	
	CANUnknownBaud = -1
};


